Classes | Namespaces
topologyRefiner.h File Reference
`#include "../version.h"`
`#include "../sdc/types.h"`
`#include "../sdc/options.h"`
`#include "../far/types.h"`
`#include "../far/topologyLevel.h"`
`#include <vector>`

Go to the source code of this file.

## Classes
class | TopologyRefinerFactory< MESH >
| Factory for constructing TopologyRefiners from specific mesh classes. More...
class | TopologyRefiner
| Stores topology data for a specified set of refinement options. More...
struct | TopologyRefiner::UniformOptions
| Uniform refinement options. More...
struct | TopologyRefiner::AdaptiveOptions
| Adaptive refinement options. More...

## Namespaces
| OpenSubdiv
| OpenSubdiv::OPENSUBDIV_VERSION
| OpenSubdiv::OPENSUBDIV_VERSION::Vtr
| OpenSubdiv::OPENSUBDIV_VERSION::Vtr::internal
| OpenSubdiv::OPENSUBDIV_VERSION::Far
| OpenSubdiv::OPENSUBDIV_VERSION::Far::internal